[R-pkgs] New Matrix and lme4: Must reinstall lme4 if got new Matrix

From: Martin Maechler <maechler_at_stat.math.ethz.ch>
Date: Wed, 10 Aug 2011 17:28:35 +0200


We have released to CRAN a new version of the (recommended) package Matrix, and of package lme4 yesterday.

Anyone who gets the new version of Matrix *MUST* re-install lme4 -- if (s)he is using lme4 at all. Technical details about that further below.

The fact that yesterday's version number of Matrix is 0.9995875-2, indicates that Matrix' version is indeed approaching 1.0 (*), and I'd declare this version as "release candidate" for 1.0. As a recommended package, Matrix is part of every R distribution, our aim is to release Matrix_1.0-0 (or higher) with the next non-patch release of R, i.e., R-2.14.0 somewhere in October.

For this reason, we are asking R useRs, programmeRs and provideRs, to ``hash at'' the package, trying to find problems / bugs, badly lacking (or wrong) documentation, etc, and report it to us (to 'Matrix-authors@...' or possibly R-devel@...), so we can prepare a shiny sparkling Matrix_1.0-0 in time. Thank you in advance for such a contribution to the Free Software universe.

Martin Maechler and Doug Bates
(and Ben Bolker for lme4).

 This is because lme4 has a 'LinkingTo: Matrix' in its  DESCRIPTION and indeed, lme4's C code is using part of Matrix' C  code.
 The change in Matrix: Part of the C-level interface in Matrix is  now (again, after several years) using the standard CHOLMOD  typedef of UFlong. This means that the C API of Matrix should  behave conformly with what other instances of CHOLMOD export.

(*) For some, it may be amusing to read

             https://stat.ethz.ch/pipermail/r-packages/2008/000911.html     which was the last announcement of Matrix on R-packages.



R-packages mailing list
R-packages_at_r-project.org
https://stat.ethz.ch/mailman/listinfo/r-packages Received on Thu 11 Aug 2011 - 01:33:02 EST

This archive was generated by hypermail 2.2.0 : Thu 11 Aug 2011 - 01:40:01 EST